| Home | Libraries | People | FAQ | More

##### object::operator!=

Return `true` if two objects are not equal.

###### Synopsis

Defined in header `<boost/json/object.hpp>`

    bool
    operator!=(
        object const& lhs,
        object const& rhs);

###### Description

Objects are equal when their sizes are the same, and when for each key in `lhs` there is a matching key in `rhs` with the same value.

###### Complexity

Constant, or linear (worst case quadratic) in `lhs.size()`.

###### Exception Safety

No-throw guarantee.

Convenience header `<boost/json.hpp>`